Upstream information

CVE-2021-28164 at MITRE

Description

In Eclipse Jetty 9.4.37.v20210219 to 9.4.38.v20210224, the default compliance mode allows requests with URIs that contain %2e or %2e%2e segments to access protected resources within the WEB-INF directory. For example a request to /context/%2e/WEB-INF/web.xml can retrieve the web.xml file. This can reveal sensitive information regarding the implementation of a web application.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 5.9
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1184368 [RESOLVED / FIXED], 1188438 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Development Tools 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • jetty-http >= 9.4.42-3.9.1
  • jetty-io >= 9.4.42-3.9.1
  • jetty-security >= 9.4.42-3.9.1
  • jetty-server >= 9.4.42-3.9.1
  • jetty-servlet >= 9.4.42-3.9.1
  • jetty-util >= 9.4.42-3.9.1
  • jetty-util-ajax >= 9.4.42-3.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2005
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Development Tools 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • jetty-http >= 9.4.42-3.9.1
  • jetty-io >= 9.4.42-3.9.1
  • jetty-security >= 9.4.42-3.9.1
  • jetty-server >= 9.4.42-3.9.1
  • jetty-servlet >= 9.4.42-3.9.1
  • jetty-util >= 9.4.42-3.9.1
  • jetty-util-ajax >= 9.4.42-3.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2005
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • jetty-http >= 9.4.43-3.12.2
  • jetty-io >= 9.4.43-3.12.2
  • jetty-security >= 9.4.43-3.12.2
  • jetty-server >= 9.4.43-3.12.2
  • jetty-servlet >= 9.4.43-3.12.2
  • jetty-util >= 9.4.43-3.12.2
  • jetty-util-ajax >= 9.4.43-3.12.2
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA jetty-http-9.4.43-3.12.2
openSUSE Leap 15.3
  • jetty-annotations >= 9.4.42-3.9.1
  • jetty-client >= 9.4.42-3.9.1
  • jetty-continuation >= 9.4.42-3.9.1
  • jetty-http >= 9.4.42-3.9.1
  • jetty-io >= 9.4.42-3.9.1
  • jetty-jaas >= 9.4.42-3.9.1
  • jetty-javax-websocket-client-impl >= 9.4.42-3.9.1
  • jetty-javax-websocket-server-impl >= 9.4.42-3.9.1
  • jetty-jmx >= 9.4.42-3.9.1
  • jetty-jndi >= 9.4.42-3.9.1
  • jetty-jsp >= 9.4.42-3.9.1
  • jetty-minimal-javadoc >= 9.4.42-3.9.1
  • jetty-openid >= 9.4.42-3.9.1
  • jetty-plus >= 9.4.42-3.9.1
  • jetty-proxy >= 9.4.42-3.9.1
  • jetty-security >= 9.4.42-3.9.1
  • jetty-server >= 9.4.42-3.9.1
  • jetty-servlet >= 9.4.42-3.9.1
  • jetty-util >= 9.4.42-3.9.1
  • jetty-util-ajax >= 9.4.42-3.9.1
  • jetty-webapp >= 9.4.42-3.9.1
  • jetty-websocket-api >= 9.4.42-3.9.1
  • jetty-websocket-client >= 9.4.42-3.9.1
  • jetty-websocket-common >= 9.4.42-3.9.1
  • jetty-websocket-javadoc >= 9.4.42-3.9.1
  • jetty-websocket-server >= 9.4.42-3.9.1
  • jetty-websocket-servlet >= 9.4.42-3.9.1
  • jetty-xml >= 9.4.42-3.9.1
Patchnames:
openSUSE-SLE-15.3-2021-2005
openSUSE Tumbleweed
  • jetty-annotations >= 9.4.43-1.2
  • jetty-ant >= 9.4.43-1.2
  • jetty-cdi >= 9.4.43-1.2
  • jetty-client >= 9.4.43-1.2
  • jetty-continuation >= 9.4.43-1.2
  • jetty-deploy >= 9.4.43-1.2
  • jetty-fcgi >= 9.4.43-1.2
  • jetty-http >= 9.4.43-1.2
  • jetty-http-spi >= 9.4.43-1.2
  • jetty-io >= 9.4.43-1.2
  • jetty-jaas >= 9.4.43-1.2
  • jetty-jmx >= 9.4.43-1.2
  • jetty-jndi >= 9.4.43-1.2
  • jetty-jsp >= 9.4.43-1.2
  • jetty-minimal-javadoc >= 9.4.43-1.2
  • jetty-openid >= 9.4.43-1.2
  • jetty-plus >= 9.4.43-1.2
  • jetty-proxy >= 9.4.43-1.2
  • jetty-quickstart >= 9.4.43-1.2
  • jetty-rewrite >= 9.4.43-1.2
  • jetty-security >= 9.4.43-1.2
  • jetty-server >= 9.4.43-1.2
  • jetty-servlet >= 9.4.43-1.2
  • jetty-servlets >= 9.4.43-1.2
  • jetty-start >= 9.4.43-1.2
  • jetty-util >= 9.4.43-1.2
  • jetty-util-ajax >= 9.4.43-1.2
  • jetty-webapp >= 9.4.43-1.2
  • jetty-xml >= 9.4.43-1.2
Patchnames:
openSUSE Tumbleweed GA jetty-annotations-9.4.43-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 7 jetty-minimal Released
SUSE Enterprise Storage 7.1 jetty-minimal Released
SUSE Linux Enterprise Desktop 15 SP2 jetty-minimal Released
SUSE Linux Enterprise Desktop 15 SP3 jetty-minimal Released
SUSE Linux Enterprise Desktop 15 SP4 jetty-minimal Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 jetty-minimal Released
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS jetty-minimal Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS jetty-minimal Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 jetty-minimal Released
SUSE Linux Enterprise High Performance Computing 15 SP4 jetty-minimal Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 jetty-minimal Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 jetty-minimal Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 jetty-minimal Affected
SUSE Linux Enterprise Real Time 15 SP2 jetty-minimal Affected
SUSE Linux Enterprise Real Time 15 SP3 jetty-minimal Affected
SUSE Linux Enterprise Server 15 SP2 jetty-minimal Released
SUSE Linux Enterprise Server 15 SP2-BCL jetty-minimal Affected
SUSE Linux Enterprise Server 15 SP2-LTSS jetty-minimal Affected
SUSE Linux Enterprise Server 15 SP3 jetty-minimal Released
SUSE Linux Enterprise Server 15 SP4 jetty-minimal Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 jetty-minimal Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 jetty-minimal Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 jetty-minimal Affected
SUSE Manager Proxy 4.1 jetty-minimal Released
SUSE Manager Proxy 4.2 jetty-minimal Released
SUSE Manager Proxy 4.3 jetty-minimal Affected
SUSE Manager Retail Branch Server 4.1 jetty-minimal Released
SUSE Manager Retail Branch Server 4.2 jetty-minimal Released
SUSE Manager Retail Branch Server 4.3 jetty-minimal Affected
SUSE Manager Server 4.1 jetty-minimal Released
SUSE Manager Server 4.2 jetty-minimal Released
SUSE Manager Server 4.3 jetty-minimal Affected


SUSE Timeline for this CVE

CVE page created: Fri Apr 2 00:29:36 2021
CVE page last modified: Thu Dec 1 00:05:09 2022